%global momorel 1

Summary: Network-wide graphing framework (grapher/gatherer)
Name: munin
Version: 2.0.34
Release: %{momorel}m%{?dist}
License: GPL
Group: System Environment/Daemons
URL: http://munin-monitoring.org/
Source0: http://downloads.munin-monitoring.org/munin/stable/%{version}/%{name}-%{version}.tar.gz
NoSource: 0
Source1:        munin-1.2.4-sendmail-config
Source2:        munin-1.2.5-hddtemp_smartctl-config
Source3:        munin-node.logrotate
Source4:        munin.logrotate
Source6:        munin-1.2.6-postfix-config
Source7:        munin-1.4.5-df-config
Source8:        munin-node.service
Source9:        %{name}.conf
Source11:       munin-node.service-privatetmp
# BZ#747663 http://munin-monitoring.org/ticket/1155
Source12:       cpuspeed.in.rev1243
Source13:       linux-init.d_munin-asyncd.in
Source14:       munin-asyncd.service
Source15:       munin-fcgi-html.service
Source16:       munin-fcgi-graph.service
Source17:       munin.cron.d
Source18:       munin-node.rc
Source19:       httpd_munin-cgi.conf
Source20:       Makefile.config-dist
Source21:       nginx_munin.conf
Source22:       munin-fcgi-html.rc
Source23:       munin-fcgi-graph.rc
Source24:       munin-2.0.9-amavis-config

#Patch1:         munin-1.4.6-restorecon.patch
#Patch2:         munin-1.4.2-fontfix.patch
Patch4:         munin-2.0.4-Utils-cluck.patch
#Patch5:         acpi-2.0.5.patch
#Patch6:         munin-2.0.7-http_loadtime.patch
#Patch7:         munin-2.0-defect-1213.patch
#Patch8:         munin-2.0.2-defect-1245-LimitsOld.pm-notify_alias.patch
#Patch9:         munin-2.0.8-cgitmp.patch
# BZ# 877116 Patch using '&' in the URLs instead of '&amp;' in HTMLConfig
Patch10:        munin-2.0.9_HTMLConfig.pm.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: perl-HTML-Template
Requires: perl-Net-Server perl-Net-SNMP
Requires: rrdtool
Requires: logrotate
BuildArchitectures: noarch

BUIldRequires: perl-Tie-Hash-NamedCapture

%description
Munin is a highly flexible and powerful solution used to create graphs of
virtually everything imaginable throughout your network, while still
maintaining a rattling ease of installation and configuration.

This package contains the grapher/gatherer. You will only need one instance of
it in your network. It will periodically poll all the nodes in your network
it's aware of for data, which it in turn will use to create graphs and HTML
pages, suitable for viewing with your graphical web browser of choice.

Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
RRDtool. 

%package node
Summary: Network-wide graphing framework (node)
Group: System Environment/Daemons
BuildArchitectures: noarch
Requires: %{name}-common = %{version}
Requires: perl-Net-Server
Requires: procps >= 2.0.7
Requires: sysstat
Requires: %{name} = %{version}-%{release}
Requires: dejavu-sans-mono-fonts
Requires(post): chkconfig
Requires(preun): chkconfig
Requires(preun): initscripts

%description node
Munin is a highly flexible and powerful solution used to create graphs of
virtually everything imaginable throughout your network, while still
maintaining a rattling ease of installation and configuration.

This package contains node software. You should install it on all the nodes
in your network. It will know how to extract all sorts of data from the
node it runs on, and will wait for the gatherer to request this data for
further processing.

It includes a range of plugins capable of extracting common values such as
cpu usage, network usage, load average, and so on. Creating your own plugins
which are capable of extracting other system-specific values is very easy,
and is often done in a matter of minutes. You can also create plugins which
relay information from other devices in your network that can't run Munin,
such as a switch or a server running another operating system, by using
SNMP or similar technology.

Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
RRDtool. 

%package async
Group:          System Environment/Daemons
Summary:        Network-wide graphing framework (asynchronous client tools)
BuildArch:      noarch
Requires:       %{name}-node = %{version}

%description async
Munin is a highly flexible and powerful solution used to create graphs of
virtually everything imaginable throughout your network, while still
maintaining a rattling ease of installation and configuration.

This package contains the tools necessary for setting up an asynchronous
client / spooling system.

See documentation for setup instructions:
https://munin.readthedocs.org/en/latest/node/async.html


%package common
Group:          System Environment/Daemons
Summary:        Network-wide graphing framework (common files)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description common
Munin is a highly flexible and powerful solution used to create graphs
of virtually everything imaginable throughout your network, while still
maintaining a rattling ease of installation and configuration.

This package contains common files that are used by both the server (munin)
and node (munin-node) packages.


%package java-plugins
Group:          System Environment/Daemons
Summary:        java-plugins for munin
Requires:       %{name}-node = %{version}
BuildArch:      noarch
Requires:       jpackage-utils

%description java-plugins
java-plugins for munin-node.

Install this sub-package for the jmx node plugin.

%package ruby-plugins
Group:          System Environment/Daemons
Summary:        ruby-plugins for munin
Requires:       %{name}-node = %{version}
BuildArch:      noarch

%description ruby-plugins
ruby-plugins for munin-node.

Install this sub-package for the tomcat node plugin.


# BZ# 861816 munin-2.x CGI support is broken without manual hacks
%package cgi
Group:          System Environment/Daemons
Summary:        Network-wide graphing framework (cgi files for apache)
BuildArch:      noarch
Requires:       %{name}-common = %{version}
Requires:       mod_fcgid

%description cgi
Munin package uses cron by default.  This package contains the CGI files that
can generate HTML and graphs dynamically. This enables munin to scale better
for a master with many nodes.

See documentation for setup instructions:
http://munin-monitoring.org/wiki/CgiHowto2
http://munin.readthedocs.org/en/latest/example/webserver/apache-virtualhost.html

QUICK-HOWTO:
sed -i 's/\(.*\)_strategy.*/\1_strategy cgi/' /etc/munin/munin.conf
htpasswd -bc /etc/munin/munin-htpasswd MUNIN_WEB_USER PASSWORD
for svc in httpd munin-node ; do
  service $svc stop
  chkconfig $svc on
  service $svc start
done

# BZ# 905241
%package nginx
Group:          System Environment/Daemons
Summary:        Network-wide graphing framework (cgi files for nginx)
BuildArch:      noarch
Requires:       %{name}-common = %{version}
Requires:       spawn-fcgi

%description nginx
Munin package uses cron by default.  This package contains the CGI files that
can generate HTML and graphs dynamically. This enables munin to scale better
for a master with many nodes.

QUICK-HOWTO:
sed -i 's/\(.*\)_strategy.*/\1_strategy cgi/;s/#cgiurl_graph/cgiurl_graph/' /etc/munin/munin.conf
for svc in munin-fcgi-graph munin-fcgi-html nginx ; do
  service $svc stop
  chkconfig $svc on
  service $svc start
done

%package netip-plugins
Group:          System Environment/Daemons
Summary:        Network-wide graphing framework (dhcpd3 and ntp plugins)
BuildArch:      noarch
Requires:       %{name}-common = %{version}

%description netip-plugins
Munin plugins that require Net::IP.  This is only dhcpd3 and ntp currently.

%prep
%setup -q
%patch4 -p0
#%patch5 -p0
#% patch7 -p1
#%patch9 -p1
%patch10 -p1
install -c %{SOURCE13} ./resources/

# Create Makefile.config-dist
install -c %{SOURCE20} .
sed -i -e 's,^PERLSITELIB := \(.*\),PERLSITELIB := %{perl_vendorlib},;' Makefile.config-dist

%build

export  CLASSPATH=plugins/javalib/org/munin/plugin/jmx:$(build-classpath mx4j):$CLASSPATH
make    CONFIG=Makefile.config-dist

# Convert to utf-8
for file in Announce-2.0 COPYING ChangeLog Checklist HACKING.pod README RELEASE UPGRADING UPGRADING-1.4; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
    touch -r $file $file.new && \
    mv $file.new $file
done

# Fix the wrong FSF address
for FILE in plugins/node.d.linux/tcp.in COPYING plugins/node.d.linux/bonding_err_.in; do
  sed -i 's|59 Temple Place.*Suite 330, Boston, MA *02111-1307|51 Franklin St, Fifth Floor, Boston, MA 02110-1301|g' $FILE
done

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

## Node
export  CLASSPATH=plugins/javalib/org/munin/plugin/jmx:$(build-classpath mx4j):$CLASSPATH
make    CONFIG=Makefile.config-dist \
        DESTDIR=%{buildroot} \
        DOCDIR=%{buildroot}%{_docdir}/%{name} \
        JAVALIBDIR=%{buildroot}%{_datadir}/java \
        MANDIR=%{buildroot}%{_mandir} \
        PREFIX=%{buildroot}%{_prefix} \
        USER=nobody GROUP=nobody \
        install

# Remove fonts
rm %{buildroot}%{_datadir}/munin/DejaVuSans*.ttf

# install logrotate scripts
mkdir -p %{buildroot}/etc/logrotate.d
install -m 0644 %{SOURCE3} %{buildroot}/etc/logrotate.d/munin-node
install -m 0644 %{SOURCE4} %{buildroot}/etc/logrotate.d/munin

# BZ#821912 - Move .htaccess to apache config to allow easier user-access changes.
mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d
sed -e 's/# </</g' %{buildroot}/var/www/html/munin/.htaccess > %{buildroot}%{_sysconfdir}/httpd/conf.d/munin.conf
echo "ScriptAlias /munin-cgi/munin-cgi-graph /var/www/cgi-bin/munin-cgi-graph" >> \
  %{buildroot}%{_sysconfdir}/httpd/conf.d/munin.conf
rm %{buildroot}/var/www/html/munin/.htaccess

# install cron script
mkdir -p %{buildroot}/etc/cron.d
install -m 0644 %{SOURCE17} %{buildroot}/etc/cron.d/munin

# BZ# 908711
mv %{buildroot}/usr/share/munin/munin-asyncd %{buildroot}/usr/sbin/munin-asyncd

# SystemD
mkdir -p %{buildroot}/%{_unitdir}
install -m 0644 %{SOURCE11} %{buildroot}/%{_unitdir}/munin-node.service
install -m 0644 %{SOURCE14} %{buildroot}/%{_unitdir}/munin-asyncd.service
install -m 0644 %{SOURCE15} %{buildroot}/%{_unitdir}/munin-fcgi-html.service
install -m 0644 %{SOURCE16} %{buildroot}/%{_unitdir}/munin-fcgi-graph.service
mkdir -p %{buildroot}/var/lib/munin/spool

# install tmpfiles.d entry
mkdir -p %{buildroot}%{_sysconfdir}/tmpfiles.d
install -m 0644 %{SOURCE9} %{buildroot}%{_sysconfdir}/tmpfiles.d/%{name}.conf

## Fedora 15 and rhel use sysvinit / upstart
#%%if 0%{?rhel} > 4 || 0%{?fedora} == 15
#mkdir -p %{buildroot}/etc/rc.d/init.d
#cat %{SOURCE18} | sed -e 's/2345/\-/' > %{buildroot}/etc/rc.d/init.d/munin-node
#chmod 755 %{buildroot}/etc/rc.d/init.d/munin-node
#install -m 0755 %{SOURCE13} %{buildroot}/etc/rc.d/init.d/munin-asyncd
#install -m 0755 %{SOURCE22} %{buildroot}/etc/rc.d/init.d/munin-fcgi-html
#install -m 0755 %{SOURCE23} %{buildroot}/etc/rc.d/init.d/munin-fcgi-graph
#%endif

# Fix default config file
sed -i '
  s,/etc/munin/munin-conf.d,/etc/munin/conf.d,;
  s,#html_strategy.*,html_strategy cron,;
  s,#graph_strategy.*,graph_strategy cron,;
  s,#cgiurl_graph,cgiurl_graph,;
  ' %{buildroot}/etc/munin/munin.conf
mkdir -p %{buildroot}/etc/munin/conf.d
mkdir -p %{buildroot}/etc/munin/plugin-conf.d
mkdir -p %{buildroot}/etc/munin/node.d
mkdir -p %{buildroot}/etc/munin/plugin-node.d

# install config for sendmail under fedora
install -m 0644 %{SOURCE1} %{buildroot}/etc/munin/plugin-conf.d/sendmail

# install config for hddtemp_smartctl
install -m 0644 %{SOURCE2} %{buildroot}/etc/munin/plugin-conf.d/hddtemp_smartctl

# install logrotate scripts
install -m 0644 %{SOURCE3} %{buildroot}/etc/logrotate.d/munin-node
install -m 0644 %{SOURCE4} %{buildroot}/etc/logrotate.d/munin
echo 'Using SU directive for logrotate.d'

# install config for postfix under fedora
install -m 0644 %{SOURCE6} %{buildroot}/etc/munin/plugin-conf.d/postfix

# Install amavis config file to set MUNIN_MKTEMP env
install -m 0644 %{SOURCE24} %{buildroot}/etc/munin/plugin-conf.d/amavis

# install df config to exclude fses we shouldn't try and monitor
install -m 0644 %{SOURCE7} %{buildroot}/etc/munin/plugin-conf.d/df

# Append for BZ# 746083
cat - >> %{buildroot}/etc/munin/plugin-conf.d/munin-node <<EOT.node
[diskstats]
user munin

[iostat_ios]
user munin
EOT.node

# http://munin-monitoring.org/ticket/808
cat - >> %{buildroot}/etc/munin/plugin-conf.d/fw_ <<EOT.fw
[fw_*]
user root
EOT.fw

# Preload static html files
mkdir -p %{buildroot}/var/www/html/munin/
cp -r %{buildroot}/etc/munin/static %{buildroot}/var/www/html/munin/

# Remove plugins that are missing deps
rm %{buildroot}/usr/share/munin/plugins/sybase_space

# Create DBDIRNODE
mkdir -p %{buildroot}/var/lib/munin-node/plugin-state

# Create for BZ 786030
touch %{buildroot}/var/lib/munin/plugin-state/yum.state

# Create CGI tmpdir space
mkdir -p %{buildroot}/var/lib/munin/cgi-tmp/munin-cgi-graph

# BZ# 881689 - Fix config file so that it no longer references the build host
sed -i 's/^\[.*/\[localhost\]/' %{buildroot}/etc/munin/munin.conf

# BZ# 885422 Move munin-node logs to /var/log/munin-node/
mkdir -p %{buildroot}/var/log/munin-node
sed -i 's,^log_file .*,log_file /var/log/munin-node/munin-node.log,' %{buildroot}/etc/munin/munin-node.conf

# Create sample fcgi config files
mkdir -p %{buildroot}/etc/sysconfig %{buildroot}/etc/httpd/conf.d
cp %{SOURCE19} %{buildroot}/etc/httpd/conf.d/munin-cgi.conf
mkdir -p %{buildroot}/etc/nginx/conf.d
cp %{SOURCE21} %{buildroot}/etc/nginx/conf.d/munin.conf

# Create sample htpasswd file
touch %{buildroot}/etc/munin/munin-htpasswd

# Fix munin-check to report more accurately
sed -i -e '
  s,nobody,munin,;
  s,owner_ok /var/log/munin .*,owner_ok /var/log/munin apache,;
  s,owner_ok /var/lib/munin .*,owner_ok /var/lib/munin munin,;
  s,owner_ok /var/lib/munin/plugin-state .*,owner_ok /var/lib/munin/plugin-state root,;
  ' %{buildroot}/usr/bin/munin-check

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

#
# node package scripts
#
%pre node
getent group munin >/dev/null || groupadd -r munin
getent passwd munin >/dev/null || \
useradd -r -g munin -d /var/lib/munin -s /sbin/nologin \
    -c "Munin user" munin
exit 0

%post node
# Only run configure on a new install, not an upgrade.
if [ "$1" = "1" ]; then
     # Initial installation
     %{_bindir}/systemctl enable munin-node.service || :
     /usr/sbin/munin-node-configure --shell 2> /dev/null | sh >& /dev/null || :
fi

%preun node
if [ "$1" = "0" ]; then
  %{_bindir}/systemctl disable munin-node.service || :
fi

# 
# main package scripts
#
%pre
getent group munin >/dev/null || groupadd -r munin
getent passwd munin >/dev/null || \
useradd -r -g munin -d /var/lib/munin -s /sbin/nologin \
    -c "Munin user" munin
exit 0

%files
%defattr(-,root,root)
%doc %{_mandir}/man1/munindoc*
%doc %{_mandir}/man1/munin-sched*
%doc %{_mandir}/man3/Munin::Master*
%doc %{_mandir}/man5/munin.conf*
%doc %{_mandir}/man8/munin*
%dir %{_sysconfdir}/munin
%dir %{_sysconfdir}/munin/conf.d
%dir %{_sysconfdir}/munin/static
%dir %{_sysconfdir}/munin/templates
%dir %{_sysconfdir}/munin/templates/partial
%dir %{_datadir}/munin
%dir %{_datadir}/munin/plugins
#BUG. User apache does not necessarily exists when installing package munin
#since httpd is not required. it matters if httpd is later installed and
#the munin graph or html cgi programs are used - they log here.
#this is fixed with %%pre cgi, but if user tries to use the cgi programs
#without the cgi package, it's tough luck.
#proper fix may be to create the apache user in pre, but I'm not gonna do it.
%dir %attr(0775,apache,munin) /var/log/munin
%dir %attr(0775,root,munin) /var/lib/munin/plugin-state
%attr(0755,munin,munin) %dir /var/www/html/munin
%attr(0755,munin,munin) %dir /var/www/html/munin/static
%attr(0755,root,munin) /var/www/cgi-bin/munin-cgi-graph
%attr(0755,root,munin) /var/www/cgi-bin/munin-cgi-html
%attr(0644,munin,munin) /var/www/html/munin/static/*
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/cron.d/munin
%config(noreplace) %{_sysconfdir}/httpd/conf.d/munin.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/munin
%config(noreplace) %{_sysconfdir}/munin/munin.conf
%config(noreplace) %{_sysconfdir}/munin/munin-htpasswd
%config(noreplace) %{_sysconfdir}/munin/static/*
%config(noreplace) %{_sysconfdir}/munin/templates/partial/*.tmpl
%config(noreplace) %{_sysconfdir}/munin/templates/*.tmpl
%attr(0755,root,root) %{_bindir}/munin-check
%attr(0755,root,root) %{_bindir}/munin-cron
%attr(0755,root,root) %{_bindir}/munindoc
%attr(0755,root,root) %{_sbindir}/munin-sched
%{_datadir}/munin/munin-datafile2storable
%{_datadir}/munin/munin-graph
%{_datadir}/munin/munin-html
%{_datadir}/munin/munin-limits
%{_datadir}/munin/munin-storable2datafile
%{_datadir}/munin/munin-update
%{perl_vendorlib}/Munin/Master/*.pm

%files node
%defattr(-,root,root)
%doc %{_mandir}/man1/munin-node*
%doc %{_mandir}/man1/munin-run*
%doc %{_mandir}/man3/Munin::Common*
%doc %{_mandir}/man3/Munin::Node*
%doc %{_mandir}/man3/Munin::Plugin*
%doc %{_mandir}/man5/munin-node*
%dir %{_sysconfdir}/munin/node.d
%dir %{_sysconfdir}/munin/plugins
%dir %{_sysconfdir}/munin
%dir %{_datadir}/munin
%dir %attr(-,munin,munin) /var/lib/munin
%dir %attr(0775,nobody,munin) /var/lib/munin-node/plugin-state
%dir %attr(0755,root,root) /var/log/munin-node
%config(noreplace) %{_sysconfdir}/logrotate.d/munin-node
%config(noreplace) %{_sysconfdir}/munin/munin-node.conf
%config(noreplace) %{_sysconfdir}/munin/plugin-conf.d/amavis
%config(noreplace) %{_sysconfdir}/munin/plugin-conf.d/df
%config(noreplace) %{_sysconfdir}/munin/plugin-conf.d/fw_
%config(noreplace) %{_sysconfdir}/munin/plugin-conf.d/hddtemp_smartctl
%config(noreplace) %{_sysconfdir}/munin/plugin-conf.d/munin-node
%config(noreplace) %{_sysconfdir}/munin/plugin-conf.d/postfix
%config(noreplace) %{_sysconfdir}/munin/plugin-conf.d/sendmail
%{_unitdir}/munin-node.service
%attr(0755,root,root) %{_sbindir}/munin-run
%attr(0755,root,root) %{_sbindir}/munin-node
%attr(0755,root,root) %{_sbindir}/munin-node-configure
%attr(-,munin,munin) /var/lib/munin/plugin-state/yum.state
%exclude %{_datadir}/munin/plugins/dhcpd3
%exclude %{_datadir}/munin/plugins/jmx_
%exclude %{_datadir}/munin/plugins/ntp_
%exclude %{_datadir}/munin/plugins/tomcat_
%{_datadir}/munin/plugins/
%{perl_vendorlib}/Munin/Node
%{perl_vendorlib}/Munin/Plugin*

%files async
%defattr(-,root,root)
%{_sbindir}/munin-asyncd
%{_datadir}/munin/munin-async
%dir /var/lib/munin/spool
%{_unitdir}/munin-asyncd.service

%files common
%defattr(-,root,root)
%doc Announce-2.0 COPYING ChangeLog Checklist HACKING.pod README RELEASE UPGRADING UPGRADING-1.4
%dir %{perl_vendorlib}/Munin
%dir %attr(-,munin,munin) %{_localstatedir}/run/%{name}/
%config(noreplace) %{_sysconfdir}/tmpfiles.d/%{name}.conf
%{perl_vendorlib}/Munin/Common

%files java-plugins
%defattr(-,root,root)
%{_datadir}/java/munin-jmx-plugins.jar
%{_datadir}/munin/plugins/jmx_

%files ruby-plugins
%defattr(-,root,root)
%{_datadir}/munin/plugins/tomcat_


%files cgi
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/httpd/conf.d/munin-cgi.conf
%{_unitdir}/munin-fcgi-html.service
%{_unitdir}/munin-fcgi-graph.service
%attr(0755,root,root) %dir /var/lib/munin/cgi-tmp
%attr(0755,apache,apache) %dir /var/lib/munin/cgi-tmp/munin-cgi-graph


%files nginx
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/nginx/conf.d/munin.conf
%{_unitdir}/munin-fcgi-html.service


%files netip-plugins
%defattr(-,root,root)
%{_datadir}/munin/plugins/dhcpd3
%{_datadir}/munin/plugins/ntp_


%changelog
* Mon Mar 05 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.34-1m)
- update 2.0.34

* Wed Jul 26 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.30-1m)
- update 2.0.30

* Tue Oct 18 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.26-1m)
- update 2.0.26

* Wed Sep 23 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.25-1m)
- update 2.0.25

* Sun Oct 19 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.22-1m)
- update 2.0.22

* Thu Oct 16 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.21-1m)
- update 2.0.21

* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.6-11m)
- rebuild against perl-5.20.0

* Mon Apr 14 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.4.6-10m)
- build fix for supporting UserMove env

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.6-9m)
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.6-8m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.6-7m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.6-6m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.6-5m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.6-4m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.6-3m)
- rebuild against perl-5.16.0

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.6-2m)
- rebuild against perl-5.14.2

* Sun Sep 18 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.4.6-1m)
- update 1.4.6
- support systemd

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.5-9m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.5-8m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.4.5-7m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.4.5-6m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.5-5m)
- rebuild against perl-5.12.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4.5-4m)
- full rebuild for mo7 release

* Tue Jul 20 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.4.5-3m)
- stop cron

* Mon Jul 19 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.5-2m)
- modify %%files

* Mon Jul 19 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.4.5-1m)
- update 1.4.5

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2.6-7m)
- rebuild against perl-5.12.1

* Sun Apr 18 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2.6-6m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2.6-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue Aug 25 2009 Masanobu Sato <satoshiga@momonga-linux.org>
- (1.2.6-4m)
- rebuild against perl-5.10.1

* Sat Jun 27 2009 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.2.6-3m)
- stop cron

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2.6-2m)
- rebuild against rpm-4.6

* Mon Sep 15 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.2.6-1m)
- update 1.2.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.5-6m)
- rebuild against gcc43

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.5-5m)
- %%NoSource -> NoSource

* Mon Feb  4 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2.5-4m)
- rebuild against perl-5.10.0

* Tue Jul 24 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.5-3m)
- revise %%preun for Momonga Linux 4 beta2

* Thu Mar  8 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.5-2m)
- modify Requires for mph-get-check
- modify %%files to avoid conflicting

* Mon Mar  5 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.5-1m)
- import to Momonga from FC6

* Tue Oct 17 2006 Kevin Fenzi <kevin@tummy.com> - 1.2.5-1
- Update to 1.2.5
- Fix HD stats (fixes #205042)
- Add in logrotate scripts that seem to have been dropped upstream

* Sun Aug 27 2006 Kevin Fenzi <kevin@tummy.com> - 1.2.4-10
- Rebuild for fc6

* Tue Jun 27 2006 Kevin Fenzi <kevin@tummy.com> - 1.2.4-9
- Re-enable snmp plugins now that perl-Net-SNMP is available (fixes 196588)
- Thanks to Herbert Straub <herbert@linuxhacker.at> for patch. 
- Fix sendmail plugins to look in the right place for the queue

* Sat Apr 22 2006 Kevin Fenzi <kevin@tummy.com> - 1.2.4-8
- add patch to remove unneeded munin-nagios in cron. 
- add patch to remove buildhostname in munin.conf (fixes #188928)
- clean up prep section of spec. 

* Fri Feb 24 2006 Kevin Fenzi <kevin@scrye.com> - 1.2.4-7
- Remove bogus Provides for perl RRDs (fixes #182702)

* Thu Feb 16 2006 Kevin Fenzi <kevin@tummy.com> - 1.2.4-6
- Readded old changelog entries per request
- Rebuilt for fc5

* Sat Dec 24 2005 Kevin Fenzi <kevin@tummy.com> - 1.2.4-5
- Fixed ownership for /var/log/munin in node subpackage (fixes 176529)

* Wed Dec 14 2005 Kevin Fenzi <kevin@tummy.com> - 1.2.4-4
- Fixed ownership for /var/lib/munin in node subpackage

* Wed Dec 14 2005 Kevin Fenzi <kevin@tummy.com> - 1.2.4-3
- Fixed libdir messup to allow builds on x86_64

* Mon Dec 12 2005 Kevin Fenzi <kevin@tummy.com> - 1.2.4-2
- Removed plugins that require Net-SNMP and Sybase 

* Tue Dec  6 2005 Kevin Fenzi <kevin@tummy.com> - 1.2.4-1
- Inital cleanup for fedora-extras

* Thu Apr 21 2005 Ingvar Hagelund <ingvar@linpro.no> - 1.2.3-4
- Fixed a bug in the iostat plugin

* Wed Apr 20 2005 Ingvar Hagelund <ingvar@linpro.no> - 1.2.3-3
- Added the missing /var/run/munin

* Tue Apr 19 2005 Ingvar Hagelund <ingvar@linpro.no> - 1.2.3-2
- Removed a lot of unecessary perl dependencies

* Mon Apr 18 2005 Ingvar Hagelund <ingvar@linpro.no> - 1.2.3-1
- Sync with svn

* Tue Mar 22 2005 Ingvar Hagelund <ingvar@linpro.no> - 1.2.2-5
- Sync with release of 1.2.2
- Add some nice text from the suse specfile
- Minimal changes in the header
- Some cosmetic changes
- Added logrotate scripts (stolen from debian package)

* Sun Feb 01 2004 Ingvar Hagelund <ingvar@linpro.no>
- Sync with CVS. Version 1.0.0pre2

* Sun Jan 18 2004 Ingvar Hagelund <ingvar@linpro.no>
- Sync with CVS. Change names to munin.

* Fri Oct 31 2003 Ingvar Hagelund <ingvar@linpro.no>
- Lot of small fixes. Now builds on more RPM distros

* Wed May 21 2003 Ingvar Hagelund <ingvar@linpro.no>
- Sync with CVS
- 0.9.5-1

* Tue Apr  1 2003 Ingvar Hagelund <ingvar@linpro.no>
- Sync with CVS
- Makefile-based install of core files
- Build doc (only pod2man)

* Thu Jan  9 2003 Ingvar Hagelund <ingvar@linpro.no>
- Sync with CVS, auto rpmbuild

* Thu Jan  2 2003 Ingvar Hagelund <ingvar@linpro.no>
- Fix spec file for RedHat 8.0 and new version of lrrd

* Wed Sep  4 2002 Ingvar Hagelund <ingvar@linpro.no>
- Small bugfixes in the rpm package

* Tue Jun 18 2002 Kjetil Torgrim Homme <kjetilho@linpro.no>
- new package
